import { SimpleLocalClient } from '../../core/index.js';
import type { ITransmissionConfig } from './transmission.types.js';
import { transmissionProfile } from './transmission.types.js';

export class TransmissionClient extends SimpleLocalClient<ITransmissionConfig> {
  constructor(configArg: ITransmissionConfig) {
    super(transmissionProfile, configArg);
  }
}
